# Logon (35=A)

### Logon (35=A) <a href="#logon-35-a" id="logon-35-a"></a>

<table><thead><tr><th width="84">Tag</th><th width="176">Field Name</th><th width="95">Data Type</th><th width="77">Req’d</th><th>Description</th></tr></thead><tbody><tr><td>98</td><td>EncryptMethod</td><td>Int</td><td>Y</td><td>Method of encryption.<br>Not validated by NDAX.<br>Supported values:<br><code>0</code> = None</td></tr><tr><td>108</td><td>HeartBtInt</td><td>Int</td><td>Y</td><td>Heartbeat interval as assigned by the client.<br>Note: Same value used by both sides.</td></tr><tr><td>141</td><td>ResetSeqNumFlag</td><td>Char</td><td>N</td><td>Indicates that both sides of the FIX session should reset sequence numbers.<br>Supported values:<br><code>N</code> = No<br><code>Y</code> = Yes, reset sequence numbers<br></td></tr><tr><td>1137</td><td>DefaultApplVerID</td><td>String</td><td>Y</td><td>Indicates the default protocol being used in this session.<br>Supported values:<br><code>9</code> = FIX50SP2</td></tr></tbody></table>

#### Client to NDAX <a href="#client-to-zero-hash" id="client-to-zero-hash"></a>

```
8=FIXT.1.1|9=84|35=A|34=1|49=42022BE443|52=20190802-19:27:55.496|56=NDAX|98=0|108=30|141=Y|1137=9|10=174|
```

The Logon message `(tag 35=A)` is used by market participants to establish a Financial Information eXchange (FIX) session with the National Digital Asset Exchange (NDAX). The Logon message must be the first message sent by the client when requesting to initiate a FIX session. It must be received by NDAX within `5 seconds` of establishing the connection, or the connection will be closed. The Logon message is used to initiate communication between the client and NDAX and to establish the parameters of the FIX session, such as the version of the FIX protocol being used and the maximum message size. By sending a Logon message, the client can request to establish a FIX session with NDAX and begin trading digital assets on the platform.

#### NDAX to Client <a href="#zero-hash-to-client" id="zero-hash-to-client"></a>

```
8=FIXT.1.1|9=106|35=A|34=1|49=NDAX|52=20190802-19:25:18.522726112|56=42022BE443|142=IN,MUM|369=1|98=0|108=30|141=Y|1137=9|10=078|
```

A successful logon will result in a `Logon (35=A)` acknowledgement sent by NDAX


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/fix/administrative-message/logon-35-a.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
